// test.cpp - Funciones para leer datos de forma segura
#include <iostream>
#include <string>
#include "leerdatos.h"
using namespace std;

int main()
{
  double dDato;
  string sDato;
  cout << "double: "; dDato = leerDouble();
  cout << "Dato leído: " << dDato << endl;
  cout << "double: "; leerDouble(dDato);
  cout << "Dato leído: " << dDato << endl;
  cout << "string: "; leerDato(sDato);
  cout << "Dato leído: " << sDato << endl;
  cout << sDato << endl;
  system("pause");
}

